using System;
using System.ComponentModel;
using System.Configuration.Install;

namespace Hl7Service
{
   [RunInstaller(true)]
   public class ProjectInstaller : Installer
   {
      public ProjectInstaller()
      {
         hl7ClientProcessInstaller = new System.ServiceProcess.ServiceProcessInstaller();
         hl7ClientInstaller = new System.ServiceProcess.ServiceInstaller();
         
         hl7ClientProcessInstaller.Account = System.ServiceProcess.ServiceAccount.LocalSystem;
         //hl7ClientProcessInstaller.Password = "admin";
         //hl7ClientProcessInstaller.Username = "password";
         
         hl7ClientInstaller.ServiceName = "HL7 Client Service";
	     hl7ClientInstaller.DisplayName = "Example HL7 Client";
         
         Installers.Add(hl7ClientProcessInstaller);
         Installers.Add(hl7ClientInstaller);
      }

      private System.ServiceProcess.ServiceProcessInstaller hl7ClientProcessInstaller;
      private System.ServiceProcess.ServiceInstaller hl7ClientInstaller;
   }
}
